<?php

namespace Controllers;

use Bases\Controller;
use Models\Infolettre;

class ContactController extends Controller
{
    /**
     * Affiche la page Contact 
     * 
     *
     */
    public function index()
    {
        $this->vue("contact/index");
    } 

    /**
     * enregistrement des informations du client pour suivre l'infolettre
     *
     * @return bool
     */
    public function store()
    {
        // Valider les champs qu'on devrait recevoir
        if (
            empty($_POST["nom"]) || empty($_POST["courriel"])
        ) {
            $this->rediriger("contact-index?infos_requises");
        }

        $succes = (new Infolettre)->inserer(
            $_POST["nom"],
            $_POST["courriel"]
        );

        if (!$succes) {
            $this->rediriger("contact-index?echec_infolettre");
        }

        $this->rediriger("contact-index?succes_infolettre");
    }
}


?>